// conv.go
package golang

import (
	"time"
)

func Any2Str(v any) (s string) {
	if v != nil {
		// s = fmt.Sprintf("%v", v)
		s, _ = v.(string)
	}
	return
}

func Any2Ui64(v any, def uint64) (u uint64) {
	var ok bool
	if v != nil {
		u, ok = v.(uint64)
	}

	if !ok {
		u = def
	}
	return
}

func Any2I64(v any, def int64) (i int64) {
	var ok bool
	if v != nil {
		i, ok = v.(int64)
	}

	if !ok {
		// err = errors.New("nil value or not int64")
		i = def
	}
	return
}

func Any2Time(v any) (t time.Time) {
	if v != nil {
		t, _ = v.(time.Time)
	}
	return
}
